Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeReservedInstancesResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeReservedInstancesResult

    public class DescribeReservedInstancesResult

extends Object

The result of describing the purchased Reserved Instances for your account.

Constructor Summary
`DescribeReservedInstancesResult()`

Method Summary
`List<ReservedInstances>` | `getReservedInstances()` The list of described Reserved Instances.
`void` | `setReservedInstances(Collection<ReservedInstances> reservedInstances)` The list of described Reserved Instances.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeReservedInstancesResult` | `withReservedInstances(Collection<ReservedInstances> reservedInstances)` The list of described Reserved Instances.
`DescribeReservedInstancesResult` | `withReservedInstances(ReservedInstances... reservedInstances)` The list of described Reserved Instances.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeReservedInstancesResult

    public DescribeReservedInstancesResult()

Method Detail

### getReservedInstances

    public List<ReservedInstances> getReservedInstances()

  The list of described Reserved Instances.

  Returns:
    The list of described Reserved Instances.

### setReservedInstances

    public void setReservedInstances(Collection<ReservedInstances> reservedInstances)

  The list of described Reserved Instances.

  Parameters:
    `reservedInstances` - The list of described Reserved Instances.

### withReservedInstances

    public DescribeReservedInstancesResult withReservedInstances(ReservedInstances... reservedInstances)

  The list of described Reserved Instances.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `reservedInstances` - The list of described Reserved Instances.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withReservedInstances

    public DescribeReservedInstancesResult withReservedInstances(Collection<ReservedInstances> reservedInstances)

  The list of described Reserved Instances.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `reservedInstances` - The list of described Reserved Instances.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.